Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.plugins.helpers.servlet
Class MBeanTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.jboss.console.plugins.helpers.servlet.MBeanTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, Serializable, javax.servlet.jsp.tagext.Tag

public class MBeanTag
extends javax.servlet.jsp.tagext.TagSupport

Version:
  $Revision: 1.4 $

  Revisions:

  4 janv. 2003 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  , Serialized Form

Field Summary
`protected String` | `interfaceName`
`protected String` | `mbeanName`
`protected String` | `variableName`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`MBeanTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`
`String` | `getId()`
`String` | `getIntf()`
`String` | `getMbean()`
`void` | `setId(String var)`
`void` | `setIntf(String intf)`
`void` | `setMbean(String mbean)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getParent, getValue, getValues, release, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### interfaceName

    protected String interfaceName

### variableName

    protected String variableName

### mbeanName

    protected String mbeanName

Constructor Detail

### MBeanTag

    public MBeanTag()

Method Detail

### getIntf

    public String getIntf()

### setIntf

    public void setIntf(String intf)

### getId

    public String getId()

### setId

    public void setId(String var)

### getMbean

    public String getMbean()

### setMbean

    public void setMbean(String mbean)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  Throws:
    `javax.servlet.jsp.JspTagException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspTagException

  Throws:
    `javax.servlet.jsp.JspTagException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.